package homework3

/*

Капитан пиратского корабля Запанированный Джо нашел сундук с сокровищами!
Он очень рад, но вот незадача: его команда тоже хочет в долю.
Джо — уважаемый капитан, поэтому решил поступить справедливо и поделить добычу поровну, на его взгляд:
если номинал монеты четный — Джо забирает монету себе, если нечетный — отдает команде
Важно: номинал монеты — натуральное число.

Помогите пиратской команде разобраться в сложном вопросе, а заодно и проверить, насколько справедлив Запанированный Джо!

Что нужно сделать:

У вас есть массив с монетами разного номинала, определите, четное это значение или нет.
Посчитайте сколько монет получит капитан Джо, а сколько — его команда.

*/


fun main() {

    val chest = arrayOf(1,2,3,4,5,6,7,8,9,10,11,12)
    var captainSalary:Int = 0
    var teamSalary:Int = 0

    fun isEven (value: Int) = value % 2 == 0

    for ( coinNominal in chest) {

        if (isEven(coinNominal)) {
            captainSalary += coinNominal
        } else {
            teamSalary += coinNominal
        }

    }

    println("Капитан получит $captainSalary злотых, а команда $teamSalary!")

}